Feb 25 AT 6:48 PM Taylor Wimberly 116 Comments

No Flash 10.1 for 1st gen Android phones

We first saw Flash demoed on the G1 two years ago, but the software is not publicly available yet. If you believe all the rumblings, Flash 10.1 for Android has been delayed several times due to performance issues.

What is Adobe’s solution to the performance issues? Drop support for all first generation Android devices.

In a new post on the official Adobe forums, it was revealed that Flash 10.1 for Android will require at least an ARMv7 (Cortex) based processor.

“You can expect the final release for Android to be available mid-year.  All Android devices that meet our minimum s/w and h/w requirements will be supported.  Unfortunately, I cannot say a lot more publicly about our port to the Android platform at this time.

No, the HTC Hero will not be supported b/c it does not have the correct Anroid OS version and it’s chipset is not powerful enough.  We require a device with an ARM v7 (Cortex) processor.  Examples include the Qualcomm Snapdragon chipsets and TI OMAP3 series.”Antonio FloresAdobe

I’ll skip the lecture on ARM architecture and cut to the chase. The only U.S. Android phones on the market that meet this requirement are the Motorola Droid and HTC Nexus One.

Almost everything else is ARMv6 (ARM11) and will not support Flash 10.1.

U.S. Android phones that will not support Flash 10.1:

  • Sprint Hero
  • Sprint Moment
  • T-Mobile G1
  • T-Mobile myTouch 3G
  • T-Mobile CLIQ
  • T-Mobile Behold II
  • Verizon Droid Eris
  • Verizon Devour

Please note that some of these devices like the Eris and Devour include Flash Lite that was added by the handset maker.

Via: Androinica

Source: Adobe Forums

Taylor is the founder of Android and Me. He resides in Dallas and carries the Samsung Galaxy S 4 and HTC One as his daily devices. Ask him a question on Twitter or Google+ and he is likely to respond. | Ethics statement

    Most Tweeted This Week